Subject: Re: bug#76861: 31.0.50; Can't install packages that require older Emacs

From: Philip Kaludercic <[email-masked]>
Date: Mon, 10 Mar 2025 18:04:49 +0000

Mauro Aranda <[email-masked]> writes:

> On 8/3/25 07:29, Mauro Aranda wrote:
>> With a prune init.el that only has these lines (so that it won't mess my
>> real
>> custom-file):
>>
>> (setq custom-file "~/.emacs.d/test-custom.el")
>> (when (file-exists-p (expand-file-name custom-file))
>>    (load custom-file))
>>
>> Start emacs with "emacs" (note no emacs -Q)
>> M-x list-packages RET
>> Navigate to adjust-parens and hit RET
>> C-x o
>> TAB
>> RET, to action the Install button
>> y
>> Emacs says: package-compute-transaction: This package requires Emacs
>> version 24.3
>>
>> I select adjust-parens because it has a "Requires" tag.  I can install
>> it without problems if using the emacs-30 branch.
>
> Looks like a mistake in the package name for the cond-star package.
>
> Patch attached.
>
> From 7ad01dc117d86ad553ef2926a7aef38a11a9490b Mon Sep 17 00:00:00 2001
> From: Mauro Aranda <[email-masked]>
> Date: Sat, 8 Mar 2025 07:39:59 -0300
> Subject: [PATCH] Fix Package name for cond-star
>
> * lisp/emacs-lisp/cond-star.el: Fix name.  (Bug#76861)
> ---
>  lisp/emacs-lisp/cond-star.el | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/lisp/emacs-lisp/cond-star.el b/lisp/emacs-lisp/cond-star.el
> index 7e21f74e2d2..7c4c1043948 100644
> --- a/lisp/emacs-lisp/cond-star.el
> +++ b/lisp/emacs-lisp/cond-star.el
> @@ -3,7 +3,7 @@
>  ;; Copyright (C) 2024-2025 Free Software Foundation, Inc.
>  
>  ;; Maintainer: Richard Stallman <[email-masked]>
> -;; Package: emacs
> +;; Package: cond-star
>  ;; Version: 1.0
>  ;; Package-Requires: ((emacs "24.3"))

That's my bad, I didn't notice (or to be honest know about that header).
We should be able to just remove it.